Brands can also fetch the customer segment data at a customer level, using the email address as the customer’s primary key.
GET
/api/v1/return-exchange-intelligence/customer-segmentation/customer-segment-data
Method: GET
Content-Type: application/json
Authentication: Via username and key as query parameters
Body: Provide email_id as JSON in the request body
Request cURL
curl --location --request GET 'https://www.clickpost.in/api/v1/return-exchange-intelligence/customer-segmentation/customer-segment-data?username=<your-enterprise-username>&key=<your-enterprise-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"email_id": "[email protected]"
}'
Success response
{
"meta": {
"message": "SUCCESS",
"success": true,
"status": 200
},
"result": {
"email_id": "[email protected]",
"segment": "OCCASIONAL_BUYER" | "HIGH_RETURNER" | "LOW_AOV_FREQUENT_RETURNS" | "HIGH_AOV_FREQUENT_RETURNS" | "LOYAL_CUSTOMER"
}
}Failure response
{
"meta": {
"message": "Entity not found",
"success": false,
"status": 400
}
}